function BootstrapModalPopUp(link , name , width , height , title){
	try {
		jQuery('#'+name).modal('hide');
		jQuery('#'+name).remove();		
	} catch (e) {
	
	}
	var html_code = '';
	var new_width = parseInt(width);
	
	var modal_size = '';
	if(new_width>600){
		modal_size = "modal-lg";
	}else if(new_width<310){
		modal_size = "modal-sm";
	}
	html_code = '<div id="'+name+'" class="modal fade" aria-labelledby="'+name+'Label" role="dialog aria-hidden="true" tabindex="-1">';
	html_code = html_code+'<div class="modal-dialog '+modal_size+'">';
	html_code = html_code+'<div class="modal-content">';
	html_code = html_code+'<div class="modal-header">';
	html_code = html_code+'<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
	if(title!=''){
		html_code = html_code+'<h4 class="modal-title" id="'+name+'Label">'+title+'</h4>';
	}
	html_code = html_code+'</div><div class="modal-body"></div>';
	html_code = html_code+'<div class="modal-footer"><cite>Powered by <a href="http://www.pegasus.net.gr" target="_blank">Pegasus Technology</a></cite></div>';
	html_code = html_code+'</div></div></div>';
	jQuery('body').append(html_code);
	jQuery('#'+name+' .modal-body').load(link);
	jQuery('#'+name).modal('show');
}

jQuery(document).ready(function() {
	/* Tooltips */
	jQuery('.pg_tooltip_top').tooltip({placement:'top'}); 
	jQuery('.pg_tooltip_bottom').tooltip({placement:'bottom'}); 
	jQuery('.pg_tooltip_left').tooltip({placement:'left'}); 
	jQuery('.pg_tooltip_right').tooltip({placement:'right'}); 
	jQuery('.pg_tooltip').tooltip({placement:'auto'});	
});



jQuery(document).ready(function() {
	jQuery('.grid_3').magnificPopup({
		delegate: 'a.photo_magnific',
		type: 'image',
		closeOnContentClick: false,
		closeBtnInside: false,
		mainClass: 'mfp-with-zoom mfp-img-mobile',
		image: {
			verticalFit: true
		},
		gallery: {
			enabled: true
		},
		zoom: {
			enabled: true,
			duration: 300, // don't foget to change the duration also in CSS
			opener: function(element) {
				return element.find('img');
			}
		}
		
	});
	jQuery('#pgallery_list').magnificPopup({
		delegate: 'a',
		type: 'image',
		closeOnContentClick: false,
		closeBtnInside: false,
		mainClass: 'mfp-with-zoom mfp-img-mobile',
		image: {
			verticalFit: true
		},
		gallery: {
			enabled: true
		},
		zoom: {
			enabled: true,
			duration: 300, // don't foget to change the duration also in CSS
			opener: function(element) {
				return element.find('img');
			}
		}
		
	});
});


jQuery(document).ready(function() {
	
	
	/* megaHover Navigation */
	
	megaHoverStartsAtWidth = 992;
	function megaHoverOver(){
		if (jQuery( window ).width() >= megaHoverStartsAtWidth){
			jQuery(this).find(".dropdown-menu").stop().slideDown('fast', 'easeOutBounce');
			
			var offset = jQuery(this).find(".dropdown-menu").offset();
			var ww     = jQuery(this).find(".dropdown-menu").outerWidth();
			var ll     = offset.left;
			var llpp   = jQuery('#pg_topmenu').position();
											 
			if(ww+ll>930){
				if((ww/2)<ll){
					var tttt =  ((ww/2)-100);
					if((ll-tttt)<llpp.left){
						tttt = ll-llpp.left;	
					}
					if((ww+ll-tttt-930)>0){
						tttt = tttt + (ww+ll-tttt-930-$j(this).find("li").outerWidth());
					}
					jQuery(this).find(".dropdown-menu").css( { "left": "-" + tttt + "px" } );
				}
			}
		} else {
			jQuery(this).find(".dropdown-menu").css({'display':''});
		}
	}

	function megaHoverOut(){ 
		if (jQuery( window ).width() >= megaHoverStartsAtWidth) {
			jQuery(this).find(".dropdown-menu").stop().slideUp('fast', 'easeOutBounce');
		}else {
			jQuery(this).find(".dropdown-menu").css({'display':''});
		}
	}

	var config = {    
		sensitivity: 2, // number = sensitivity threshold (must be 1 or higher)    
		interval: 100, // number = milliseconds for onMouseOver polling interval    
		over: megaHoverOver, // function = onMouseOver callback (REQUIRED)    
		timeout: 500, // number = milliseconds delay before onMouseOut    
		out: megaHoverOut // function = onMouseOut callback (REQUIRED)    
	};
	
	/* initialize hoverIntent */
	/* mainnav */
	jQuery("#mainnav > li > ul.dropdown-menu").css({'display':'none'});
	jQuery("#mainnav > li.dropdown").hoverIntent(config);
	
	/* Responsive Navigation */

	/* Main Menu - multiEpiloges */
	/* after hoverIntent should unbind first and then rebind */
	jQuery(window).resize(function(){
		jQuery("#mainnav li.dropdown").removeClass('open');
		if (jQuery(this).width() < megaHoverStartsAtWidth) {
			// Override Bootstrap Nav Menu
			// li a.dropdown_btn OR li b.pg_arrows
			jQuery('#mainnav li a.dropdown_btn').unbind('click.mainNavigation');
			jQuery('#mainnav li a.dropdown_btn').bind('click.mainNavigation', function(event) {
				// Avoid following the href location when clicking
				// Avoid having the menu to close when clicking
				event.preventDefault(); 			
				event.stopPropagation();
				// remove class "open" (close dropdowns) from all <li> of the same sub category
				// add class "open" (open this dropdown) of clicked li
				var openLi = jQuery(this).parent();
				if ((openLi).hasClass('open')){
					openLi.parent().find("li.dropdown").removeClass('open');
				}else{
					openLi.parent().find("li.dropdown").removeClass('open');
					openLi.addClass('open');
				}
				setTimeout(function(){
					jQuery('html,body').animate({
						scrollTop: jQuery(openLi).parent().offset().top - 50}, '800');
				}, 300);
			});	
		}else{
			jQuery('#mainnav li a.dropdown_btn').unbind('click.mainNavigation');
		}	
	});
	jQuery(window).trigger('resize');
	

	jQuery('.pg_footer_arrows').click(function () {
		jQuery(this).toggleClass('pg_active_arrows');
	});

	jQuery('.pg_menu_arrows').click(function (){
		$(this).toggleClass('pg_active_arrows');
	});
});


(function($){
	$.fn.UItoTop = function(options) {

		var defaults = {
				text: 'To Top',
				min: 200,
				inDelay:600,
				outDelay:400,
				containerID: 'toTop',
				containerHoverID: 'toTopHover',
				scrollSpeed: 1200,
				easingType: 'linear'
			},
			settings = $.extend(defaults, options),
			containerIDhash = '#' + settings.containerID,
			containerHoverIDHash = '#'+settings.containerHoverID;
		
		$('body').append('<a href="#" id="'+settings.containerID+'">'+settings.text+'</a>');
		$(containerIDhash).hide().on('click.UItoTop',function(){
			$('html, body').animate({scrollTop:0}, settings.scrollSpeed, settings.easingType);
			$('#'+settings.containerHoverID, this).stop().animate({'opacity': 0 }, settings.inDelay, settings.easingType);
			return false;
		})
		.prepend('<span id="'+settings.containerHoverID+'"></span>')
		.hover(function() {
				$(containerHoverIDHash, this).stop().animate({
					'opacity': 1
				}, 600, 'linear');
			}, function() { 
				$(containerHoverIDHash, this).stop().animate({
					'opacity': 0
				}, 700, 'linear');
			});
					
		$(window).scroll(function() {
			var sd = $(window).scrollTop();
			if(typeof document.body.style.maxHeight === "undefined") {
				$(containerIDhash).css({
					'position': 'absolute',
					'top': sd + $(window).height() - 50
				});
			}
			if ( sd > settings.min ) 
				$(containerIDhash).fadeIn(settings.inDelay);
			else 
				$(containerIDhash).fadeOut(settings.Outdelay);
		});
};
})(jQuery);